<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="Activity"><span class="type-signature"></span>Activity<span class="signature">(activityData)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the acitvity graphic</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>activityData</code></td>
            

            <td class="type">
            
                
<span class="param-type">IUserDataActivity</span>


            
            </td>

            

            

            <td class="description last"><p>contains user's sessions data</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-graphics_Activity.tsx.html">profile/profile-body/profile-body-graphics/Activity.tsx</a>, <a href="profile_profile-body_profile-body-graphics_Activity.tsx.html#line46">line 46</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="AverageSessions"><span class="type-signature"></span>AverageSessions<span class="signature">(averageSessionsData)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the average sessions duration graphic</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>averageSessionsData</code></td>
            

            <td class="type">
            
                
<span class="param-type">IUserDataAverageSessions</span>


            
            </td>

            

            

            <td class="description last"><p>contains user's average sessions duration data</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-graphics_AverageSessions.tsx.html">profile/profile-body/profile-body-graphics/AverageSessions.tsx</a>, <a href="profile_profile-body_profile-body-graphics_AverageSessions.tsx.html#line38">line 38</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="Header"><span class="type-signature"></span>Header<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the header of the website with main navigation and logo</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="layout_Header.tsx.html">layout/Header.tsx</a>, <a href="layout_Header.tsx.html#line35">line 35</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="KeyFigureCard"><span class="type-signature"></span>KeyFigureCard<span class="signature">(value, unit)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders user's key figure as a card</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>value</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>key figure value</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>unit</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>key figure unit (ex: 'Calories')</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-keys_KeyFigureCard.tsx.html">profile/profile-body/profile-body-keys/KeyFigureCard.tsx</a>, <a href="profile_profile-body_profile-body-keys_KeyFigureCard.tsx.html#line46">line 46</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="Performance"><span class="type-signature"></span>Performance<span class="signature">(performanceData)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the performance graphic</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>performanceData</code></td>
            

            <td class="type">
            
                
<span class="param-type">IUserDataPerformance</span>


            
            </td>

            

            

            <td class="description last"><p>contains user's performance data</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-graphics_Performance.tsx.html">profile/profile-body/profile-body-graphics/Performance.tsx</a>, <a href="profile_profile-body_profile-body-graphics_Performance.tsx.html#line20">line 20</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="ProfileBody"><span class="type-signature"></span>ProfileBody<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the body of profile page</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_index.tsx.html">profile/profile-body/index.tsx</a>, <a href="profile_profile-body_index.tsx.html#line17">line 17</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="ProfileBodyGraphics"><span class="type-signature"></span>ProfileBodyGraphics<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the graphics container</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-graphics_index.tsx.html">profile/profile-body/profile-body-graphics/index.tsx</a>, <a href="profile_profile-body_profile-body-graphics_index.tsx.html#line22">line 22</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="ProfileBodyKeys"><span class="type-signature"></span>ProfileBodyKeys<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the user's key figures container</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-keys_index.tsx.html">profile/profile-body/profile-body-keys/index.tsx</a>, <a href="profile_profile-body_profile-body-keys_index.tsx.html#line24">line 24</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="ProfileHeading"><span class="type-signature"></span>ProfileHeading<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the heading of profile page</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_ProfileHeading.tsx.html">profile/ProfileHeading.tsx</a>, <a href="profile_ProfileHeading.tsx.html#line22">line 22</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="Score"><span class="type-signature"></span>Score<span class="signature">(score)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the performance graphic</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>score</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>user's score</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="profile_profile-body_profile-body-graphics_Score.tsx.html">profile/profile-body/profile-body-graphics/Score.tsx</a>, <a href="profile_profile-body_profile-body-graphics_Score.tsx.html#line51">line 51</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="SideBar"><span class="type-signature"></span>SideBar<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders the sidebar of the website with secondary navigation and copyrights</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="layout_SideBar.tsx.html">layout/SideBar.tsx</a>, <a href="layout_SideBar.tsx.html#line50">line 50</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>